# JsDoc Reference - CeL.data.math.Hamming

Class Index | File Index

## Classes

- _global_
- CeL
- CeL.application.debug
- CeL.application.debug.log
- CeL.application.locale
- CeL.application.net
- CeL.application.net.Ajax
- CeL.application.OS.Windows
- CeL.application.OS.Windows.file
- CeL.application.OS.Windows.HTA
- CeL.application.OS.Windows.job
- CeL.application.OS.Windows.registry
- CeL.application.OS.Windows.WMI
- CeL.application.storage.file
- CeL.data
- CeL.data.check
- CeL.data.code.API
- CeL.data.code.compatibility
- CeL.data.code.reorganize
- CeL.data.CSV
- CeL.data.math
- CeL.data.math.Hamming
- CeL.data.math.polynomial
- CeL.data.math.quotient
- CeL.data.native
- CeL.data.XML
- CeL.env
- CeL.interact.DOM
- CeL.interact.form.address
- CeL.interact.form.select_input
- CeL.interact.integrate.map
- CeL.interact.integrate.SVG

# Class CeL.data.math.Hamming

Hamming Code 的 constructor
Defined in: Hamming.origin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CeL.data.math.Hamming() Hamming code

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CeL.data.math.Hamming.reverse 是否左右顛倒。 default: data[1,2,.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CeL.data.math.Hamming.decode(code) decode Hamming Code to data
<static> | CeL.data.math.Hamming.encode(data, no_reverse) encode data to Hamming Code.
<static> | CeL.data.math.Hamming.show(bit_length) 顯示 Hamming Code 的計算方法
<static> | CeL.data.math.Hamming.split_code(code) 將 Hamming Code 分成 data & check bits

Class Detail
CeL.data.math.Hamming()
Hamming code
Field Detail
<static> CeL.data.math.Hamming.reverse
是否左右顛倒。 default: data[1,2,..] 左至右, reverse: data[..,2,1] 右至左
Method Detail
<static> CeL.data.math.Hamming.decode(code)
decode Hamming Code to data

Parameters:
code

Returns:

<static> {String} CeL.data.math.Hamming.encode(data, no_reverse)
encode data to Hamming Code.

Parameters:
data
  data stream
no_reverse
  forced NO reverse

Returns:
  {String} encoded Hamming Code

<static> CeL.data.math.Hamming.show(bit_length)
顯示 Hamming Code 的計算方法

Parameters:
{Number} bit_length
  bit length. e.g., 8, 16.

<static> CeL.data.math.Hamming.split_code(code)
將 Hamming Code 分成 data & check bits

Parameters:
code
  Hamming Code to split

Returns:
  [資料位元 data bits, 檢查位元 check bits (parity bits)]

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Aug 20 2011 15:07:30 GMT+0800 (CST)